API referenceBroadcasts
GET /broadcasts/{broadcastId}/recipients
Recipients with delivery status (filter by status) and summary totals
GET
BearerAuthheader
AuthorizationBearer <token>API key sk_...
broadcastId*stringBroadcast id
status?stringpending, sent, delivered, read, failed
limit?integerPage size
Range
1 <= valueskip?integerItems to skip
Range
0 <= value{success, recipients, pagination, summary}
application/json- response
success?booleanrecipients?array<>pagination?summary?curl -X GET 'https://example.com/api/v1/broadcasts/string/recipients'Example Response
{ "success": true, "recipients": [ { "id": "string", "contactId": "string", "channelId": "string", "platformIdentifier": "string", "contactName": "string", "status": "pending", "messageId": "string", "platformMessageId": "string", "error": "string", "errorCode": 0, "errorExplanation": "string", "errorTraceId": "string", "sentAt": "2019-08-24T14:15:22Z", "deliveredAt": "2019-08-24T14:15:22Z", "readAt": "2019-08-24T14:15:22Z", "failedAt": "2019-08-24T14:15:22Z" } ], "pagination": { "total": 0, "limit": 0, "skip": 0, "hasMore": true }, "summary": { "total": 0, "pending": 0, "sent": 0, "delivered": 0, "read": 0, "failed": 0 }}